Last Comment Bug 814770 - Select Addresses blank if opened from Compose window with To/Cc/Bcc filled in
: Select Addresses blank if opened from Compose window with To/Cc/Bcc filled in
Status: RESOLVED FIXED
: regression, relnote
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Address Book & Contacts (show other bugs)
: Trunk
: All All
: -- normal with 2 votes (vote)
: seamonkey2.17
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
: 816271 816631 817137 (view as bug list)
Depends on: 774069
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-23 12:48 PST by Jens Hatlak (:InvisibleSmiley)
Modified: 2012-12-02 22:44 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed


Attachments
Proposed patch (782 bytes, patch)
2012-11-24 07:59 PST, neil@parkwaycc.co.uk
jh: review+
jh: approval‑comm‑aurora+
jh: approval‑comm‑beta+
iann_bugzilla: approval‑comm‑release+
Details | Diff | Splinter Review

Description Jens Hatlak (:InvisibleSmiley) 2012-11-23 12:48:33 PST
STR:
0. Ensure you have a mail account and contact(s) in the Personal Address Book
1. Open a Compose window (Ctrl+M)
2. Fill in at least one To, Cc or Bcc line
3. Click the Address icon or select Options/Select Addresses

Actual result: The list on the left (with headers Name, Email, Screen Name) is empty

Expected result: The list on the left shows your contacts. You will get this result if you have no (filled in) To, Cc or Bcc line in the Compose window.

Last known good: SM 2.13.2

First bad: 2.14b1

Nothing in the Error Console.
Comment 1 Jens Hatlak (:InvisibleSmiley) 2012-11-23 15:10:31 PST
It breaks here

http://mxr.mozilla.org/comm-central/source/suite/mailnews/addrbook/abSelectAddressesDialog.js#121

because gHeaderParser is undefined since bug 774069 removed it from abCommon.js.
Comment 2 neil@parkwaycc.co.uk 2012-11-24 07:59:31 PST
Created attachment 684860 [details] [diff] [review]
Proposed patch
Comment 3 neil@parkwaycc.co.uk 2012-11-24 12:59:16 PST
Pushed comm-central changeset 90c30f23e058.
Comment 4 neil@parkwaycc.co.uk 2012-11-24 13:00:18 PST
Comment on attachment 684860 [details] [diff] [review]
Proposed patch

[Approval Request Comment]
Regression caused by (bug #): 774069
User impact if declined: Can't edit existing addreses using dialog
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky): Low
String changes made by this patch: None
Comment 6 Ian Neal 2012-11-29 14:59:47 PST
*** Bug 816271 has been marked as a duplicate of this bug. ***
Comment 7 Ian Neal 2012-11-29 15:03:03 PST
Comment on attachment 684860 [details] [diff] [review]
Proposed patch

[Triage Comment]
Comment 8 neil@parkwaycc.co.uk 2012-11-29 16:25:17 PST
Comment on attachment 684860 [details] [diff] [review]
Proposed patch

https://hg.mozilla.org/releases/comm-release/rev/a44252ba0f5d
Comment 9 Philip Chee 2012-11-30 07:52:40 PST
*** Bug 816631 has been marked as a duplicate of this bug. ***
Comment 10 Tony Mechelynck [:tonymec] 2012-12-02 15:03:34 PST
*** Bug 817137 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.